%define version 0.99.5
%define rel     1
%define	name    xine-ui
%define	xineversion 1.1.1
%define	xinerel	7.1

Name:		%name
Summary:	A Free Video Player
Version:	%version
Release:	%mkrel %rel
License:	GPL
Group:		Video
Source0:	http://prdownloads.sourceforge.net/xine/%name-%version.tar.bz2
URL:		http://xine.sourceforge.net/
Requires:	xine-plugins >= %xineversion-%xinerel
Requires:	curl	
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires: desktop-file-utils
BuildRequires:	aalib-devel
BuildRequires:	libcaca-devel
BuildRequires:	curl-devel
BuildRequires:	png-devel
Buildrequires:	libxine-devel >= %xineversion-%xinerel
BuildRequires:	lirc-devel
BuildRequires:	ncurses-devel
BuildRequires:	libnvtvsimple-devel
%if %mdkversion >= 200700
BuildRequires:	libxt-devel
%else
BuildRequires:	X11-devel
%endif
#BuildRequires:	automake1.7
BuildRoot:	%_tmppath/%name-%version-%release-buildroot

%description 
xine is a free GPL-licensed video player for UNIX-like systems.

User interface for the X Window system.

%package	aa
Summary:	XINE - Ascii Art player
Group:		Video
Requires:	xine-plugins >= %xineversion-%xinerel
Requires:	xine-aa

%description	aa
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with ascii art (text mode) output.

%package	fb
Summary:	XINE - framebuffer video player
Group:		Video
Requires:	xine-plugins >= %xineversion-%xinerel

%description	fb
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with support for linux framebuffer output.


%prep
%setup -q

%build
export XINE_DOCPATH="%_datadir/doc/xine-ui-%version"
%configure2_5x --enable-vdr-keys
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std transform=""
install -D -m 644 misc/desktops/xine.desktop %buildroot%_datadir/applications/%name.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Video;Player" \
  --add-category="AudioVideo;Video" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


#language files
%find_lang xitk
%find_lang xine-ui
cat xitk.lang >> xine-ui.lang

rm -rf %buildroot%_datadir/doc
rm -rf %buildroot%_datadir/xine/desktop

%post
%update_desktop_database
%update_icon_cache hicolor

%postun
%clean_icon_cache hicolor
%clean_desktop_database

%clean
rm -rf $RPM_BUILD_ROOT

%files -f xine-ui.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%doc doc/README*
%_bindir/xine*
%_datadir/xine
%_datadir/pixmaps/*
%_datadir/applications/%name.desktop
%_datadir/icons/hicolor/*/apps/xine*
%_mandir/man1/*
%lang(de) %_mandir/de/man1/*
%lang(es) %_mandir/es/man1/*
%lang(fr) %_mandir/fr/man1/*
%lang(pl) %_mandir/pl/man1/*

%files aa
%defattr(-,root,root)
%doc README
#%_bindir/aaxine
%_bindir/cacaxine

%files fb
%defattr(-,root,root)
%doc README
%_bindir/fbxine




%changelog
* Fri May 04 2007 Götz Waschk <waschk@mandriva.org> 0.99.5-1mdv2008.0
+ Revision: 22232
- new version
- drop patch
- update file list
- drop old menu
- disable aaxine and reenable cacaxine


* Thu Jan 04 2007 Götz Waschk <waschk@mandriva.org> 0.99.4-8mdv2007.0
+ Revision: 104257
- Import xine-ui

* Thu Jan 04 2007 Götz Waschk <waschk@mandriva.org> 0.99.4-8mdv2007.1
- disable cacaxine

* Sun Aug 13 2006 Anssi Hannula <anssi@mandriva.org> 0.99.4-7mdv2007.0
- patch0: more vdr events from cvs
- fix changelog

* Wed Aug 09 2006 Anssi Hannula <anssi@mandriva.org> 0.99.4-6mdv2007.0
- fix buildrequires for backportability

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 0.99.4-5mdv2007.0
- Fix xdg tag

* Fri Jun 16 2006 Götz Waschk <waschk@mandriva.org> 0.99.4-4mdv2007.0
- xdg menu
- fix buildrequires

* Sun Jun 11 2006 Anssi Hannula <anssi@mandriva.org> 0.99.4-3mdv2007.0
- build vdr keys support by default, bump required xine-lib version
- %%mkrel

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.99.4-2mdk
- rebuilt against openssl-0.9.8a

* Thu Jul 28 2005 Götz Waschk <waschk@mandriva.org> 0.99.4-1mdk
- drop patch
- New release 0.99.4

* Thu Jun 30 2005 Götz Waschk <waschk@mandriva.org> 0.99.3-3mdk
- patch for gcc 4
- add conditional vdr keys support (disabled by default) bug #15994

* Fri Jan 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.99.3-2mdk
- rebuild for new readline

* Sun Dec 19 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.3-1mdk
- New release 0.99.3

* Tue Jul 06 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.2-1mdk
- source URL
- New release 0.99.2

* Fri Jul 02 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.1-5mdk
- rebuild for new curl

* Wed May 05 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.1-4mdk
- remove the additional skins (now in an extra package)

* Sat Apr 24 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.1-3mdk
- fix buildrequires

* Mon Apr 19 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.1-2mdk
- drop patch 1
- add more readme files

* Mon Apr 19 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.1-1mdk
- add caca frontend to the aa package
- drop patch 0
- add matroska to the menu mime types
- requires new xine-lib
- new version

* Mon Feb 02 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.23-3mdk
- fix buildrequires
- fix build with new curl

* Sat Jan 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.23-2mdk
- fix buildrequires (add missing ncurses-devel and fix lib64 builrequires)
- cosmetics

